//---------------------------------------------------------------------------
#ifndef ProfileH
#define ProfileH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Dialogs.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
//                 0           1           2             3           4              5               6                  7                  8                9                 10
enum TPlane       {TXYPlane  , TXZPlane  , TYZPlane      };
enum TSpindleDir  {TCW       , TCCW      , TStop         };
enum TCoolant     {TMist     , TFlood    , TNone         };
enum TUnits       {TMetric   , TInch       };
enum TCutterComp  {TCCNone   , TCCLeft   , TCCRight      };
enum TPathControl {TExact    , TVelocity   };
enum TAxis        {TXAxis    , TYAxis    , TZAxis      , TAAxis    , TBAxis       , TCAxis       };
enum TErrorType   {TXZPresent, TYZPresent, TZeroSizeArc, TPlaneType, TUnknownMCode, TUnknownGCode, TAAxisInstruction, TBAxisInstruction, TCAxisInstruction, TCoOrdRotation, TNoAction};

typedef struct {
    double a,b,c,x,y,z,feedrate;
    } profilepoint;

typedef struct {
    double i,j,k;
    } arccentre;

typedef struct {
    profilepoint Start;
    profilepoint End;
    arccentre Centre;
    AnsiString Instruction;
    double Codeno;
    bool G53present;
    bool Comment;
    } TGCodeDefinition;

class TProfileForm : public TForm
{
__published:	// IDE-managed Components
    TLabel *Label1;
    TEdit *Edit1;
    TOpenDialog *OpenDialog1;
    TSaveDialog *SaveDialog1;
    TButton *OriginalGCodeButton;
    TButton *NewGCodeButton;
    TLabel *Label2;
    TEdit *Edit2;
    TLabel *Label6;
    TLabel *Label4;
    TEdit *Edit3;
    TLabel *Label5;
    TEdit *Edit4;
    TLabel *Label7;
    TButton *ProfileButton;
    TButton *HelpButton;
    TButton *CloseButton;
    TLabel *Label3;
    TLabel *Label9;
    TEdit *Edit5;
    TBevel *Bevel1;
    TLabel *Label8;
    TLabel *Label10;
    TEdit *Header;
    TEdit *Footer;
    void __fastcall FormCreate(TObject *Sender);
    void __fastcall FormDestroy(TObject *Sender);
    void __fastcall OriginalGCodeButtonClick(TObject *Sender);
    void __fastcall NewGCodeButtonClick(TObject *Sender);
    void __fastcall ProfileButtonClick(TObject *Sender);
    void __fastcall HelpButtonClick(TObject *Sender);
    void __fastcall CloseButtonClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
    __fastcall TProfileForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TProfileForm *ProfileForm;
//---------------------------------------------------------------------------
#endif
